org.bdgenomics.adam.rdd.read

# SAMInFormatter

#### object SAMInFormatter extends AnySAMInFormatterCompanion[SAMInFormatter] with Serializable

InFormatter companion for building an InFormatter that streams SAM.

Linear Supertypes
Serializable, Serializable, AnySAMInFormatterCompanion[SAMInFormatter], InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, SAMInFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SAMInFormatter
2. Serializable
3. Serializable
4. AnySAMInFormatterCompanion
5. InFormatterCompanion
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(gRdd: AlignmentRecordRDD): SAMInFormatter

   Makes an AnySAMInFormatter from a GenomicRDD of AlignmentRecords.

   Makes an AnySAMInFormatter from a GenomicRDD of AlignmentRecords.

   gRdd

     AlignmentRecordRDD with reference build and record group info.

   returns

     Returns an InFormatter that extends AnySAMInFormatter.

   Definition Classes
     AnySAMInFormatterCompanion → InFormatterCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def makeFormatter(header: SAMFileHeaderWritable, recordGroups: RecordGroupDictionary, converter: AlignmentRecordConverter): SAMInFormatter

    Attributes
      protected
    Definition Classes
      SAMInFormatter → AnySAMInFormatterCompanion

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnySAMInFormatterCompanion[SAMInFormatter]

### Inherited from InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, SAMInFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped